org.apache.hadoop.hdfs.web.resources

## Interface HttpOpParam.Op

- All Known Implementing Classes:
    DeleteOpParam.Op, GetOpParam.Op, HttpOpParam.TemporaryRedirectOp, PostOpParam.Op, PutOpParam.Op
  Enclosing class:
    HttpOpParam<E extends Enum<E> & HttpOpParam.Op>

      public static interface HttpOpParam.Op

  Http operation interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDoOutput()`
    `int` | `getExpectedHttpResponseCode()`
    `boolean` | `getRedirect()`
    `boolean` | `getRequireAuth()`
    `HttpOpParam.Type` | `getType()`
    `String` | `toQueryString()`

- - ### Method Detail

    - #### getType

          HttpOpParam.Type getType()

      Returns:
        the Http operation type.

    - #### getRequireAuth

          boolean getRequireAuth()

      Returns:
        true if the operation cannot use a token

    - #### getDoOutput

          boolean getDoOutput()

      Returns:
        true if the operation will do output.

    - #### getRedirect

          boolean getRedirect()

      Returns:
        true if the operation will be redirected.

    - #### getExpectedHttpResponseCode

          int getExpectedHttpResponseCode()

      Returns:
        true the expected http response code.

    - #### toQueryString

          String toQueryString()

      Returns:
        a URI query string.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.